<template>
  <div ref="chart" :style="chartStyle">ChartGeo</div>
</template>

<script>
export default {
  name: 'ChartGeo',
  props: {
    data: {
      type: Array,
      required: true,
      default: () => {
        return []
      }
    },
    schema: {
      type: Object,
      required: true,
      default: () => {
        return {}
      }
    },
    chartStyle: {
      type: Object,
      require: false,
      default: () => {
        return {
          height: '200px'
        }
      }
    }
  },
  created() {
    console.log(this.data)
  }
}
</script>

<style lang="scss" scoped>

</style>
